
Name:		phototonic
Version:	2.1.66
Release:	%mkrel 1
Summary:	An image viewer and organizer
Group:		Graphics
License:	GPLv3
Url:		http://oferkv.github.io/phototonic/
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.tar.xz

BuildRequires:	lib64qt5core-devel
BuildRequires:	lib64qt5widgets-devel
BuildRequires:	lib64exiv2-devel

Requires: lib64qtsvg5
Requires: qtimageformats5

%description
Phototonic is an image viewer and organizer with the following features:
* Light weight with a smooth and clear user interface
* Does not depend on any desktop environment
* Supports several customized thumbnail layouts
* Load thumbnails and browse images recursively
* Dynamic thumbnails loading, enabling fast browsing of very large folders
* Filter thumbnails
* Image navigation and file management
* Slide show
* View random image
* Transformation: rotation, flipping, cropping, image mirroring
* Adjust image colors
* Keep transformations zoom and colors while browsing multiple images
* Extensive automatic and manual zoom options
* Supported image formats: 
BMP, GIF, ICO, JPEG, MNG, PBM, PGM, PNG, PPM, SVG, SVGZ, TGA, TIFF, XBM, XPM
* Supports GIF animations
* Keyboard shortcuts and mouse behavior customization
* Load image files or folders from command line
* Open images with external applications

%prep
%setup -q

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

# Install translations
mkdir -p %{buildroot}%{_datadir}/%{name}/translations
cp -r translations/*.qm %{buildroot}%{_datadir}/%{name}/translations

# Tweak upstream desktop file
desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--add-category='X-MandrivaLinux-Multimedia-Graphics' \
	%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/translations
%{_iconsdir}/hicolor/*x*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png


%changelog
* Mon Aug 17 2020 tex - 2.1.66-1pclos2020
- new version

* Sat Nov 16 2019 tex - 2.1.14-1pclos2019
- new version

* Tue Jan 22 2019 tex 2.1.10-1pclos2019
- new version 2.1.10
